Package com.logicaldoc.core.threading

# Class NamedThreadFactory

java.lang.Object
com.logicaldoc.core.threading.NamedThreadFactory

All Implemented Interfaces:
  `ThreadFactory`

public class NamedThreadFactory extends Object implements ThreadFactory
This thread factory acts like `Executors.defaultThreadFactory()` but gives a name prefix to the new thread.

Since:
  7.5
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`NamedThreadFactory(String baseName)`

## Method Summary

Modifier and Type
Method
Description
`Thread`
`newThread(Runnable r)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NamedThreadFactory

public NamedThreadFactory(String baseName)

## Method Details

### newThread

public Thread newThread(Runnable r)

Specified by:
  `newThread` in interface `ThreadFactory`